Bug 806386 - Uninitialized return value in 'sudo' package.
Uninitialized return value in 'sudo' package.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sudo (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 11:35 EDT by Pavel Raiskup
Modified: 2012-11-06 05:59 EST (History)
3 users (show)

See Also:
Fixed In Version: sudo-1.7.4p5-9.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 10:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Raiskup 2012-03-23 11:35:57 EDT
New Coverity scan has found one new potential defect in 'sudo.1.7.4p5-8'
against 'sudo-1.7.4p5-7.el6':

Returning of uninitialized variable 'j' on sudo_edit.c:343.

It seems there was a try to initialize this variable in the source, but on a
bad position -- proposed fix could look like this:

| --- a/sudo_edit.c
| +++ b/sudo_edit.c
| @@ -335,9 +335,9 @@
|                     warningx("contents of edit session left in %s", tf[i].tfile);
|                }
|                close(ofd);
| -
| -              j = 0;
|           }
| +
| +         j = 0;
|       }
|
|       return j;

.. or maybe better approach, initialize it on the top of the function.  This
potential problem was added by sudo-1.7.4p5-sudoedit-selinux.patch.

This error is mentioned just as a warning and it depends on you whether it will
be fixed or not.  Feel free to move this bug to 6.4 if you think it is not
necessary to fix it in 6.3 or close it as a NOTABUG if we don't need to fix
it at all.

We are able to re-run Coverity for verifying potential fixes.
Comment 2 Daniel Kopeček 2012-03-23 11:42:04 EDT
Thanks for the report. This needs to be fixed.
Comment 7 Daniel Kopeček 2012-05-29 05:23:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No documentation needed.
Comment 8 errata-xmlrpc 2012-06-20 10:22:08 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0905.html
Comment 9 Dalibor Pospíšil 2012-11-06 05:59:14 EST
Setting qe_test_coverage‑. This is covered by Coverity scan.

Note You need to log in before you can comment on or make changes to this bug.